%global serial 2
%global commitid 03ef3898e4d83374b7e9c8eb81c8ed652af1ca04

%{?scl:%scl_package brotli}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl:%scl_prefix}brotli
Version:        1.0.9
Release:        %{serial}%{?dist}
Summary:        Lossless compression algorithm
Group:          System Environment/Libraries
License:        MIT
URL:            https://github.com/google/brotli
Source0:        brotli-%{commitid}.tar.gz

BuildRequires:  gcc, coreutils, make, bc, patchelf
BuildRequires:  autoconf automake libtool

%{?scl:Requires:%scl_runtime}

%description
Brotli is a generic-purpose lossless compression algorithm that compresses
data using a combination of a modern variant of the LZ77 algorithm, Huffman
coding and 2nd order context modeling, with a compression ratio comparable
to the best currently available general-purpose compression methods.
It is similar in speed with deflate but offers more dense compression.

%package devel
Summary: Lossless compression algorithm (development files)
Requires: %{name}%{?_isa} = %{version}-%{release} 
Group: Development/Libraries

%description devel
Brotli is a generic-purpose lossless compression algorithm that compresses
data using a combination of a modern variant of the LZ77 algorithm, Huffman
coding and 2nd order context modeling, with a compression ratio comparable
to the best currently available general-purpose compression methods.
It is similar in speed with deflate but offers more dense compression.
This package installs the development files

%prep
%setup -q -n brotli-%{commitid}


%build

./bootstrap
%configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-static
# sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
make

%check

patchelf --set-rpath '$ORIGIN/../lib64/' $RPM_BUILD_ROOT/%{_bindir}/brotli
for i in $RPM_BUILD_ROOT%{_libdir}/*.so.%{version} ; do
    patchelf --set-rpath '$ORIGIN/' $i
done

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="install -p" DESTDIR="$RPM_BUILD_ROOT"
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_docdir}/brotli

%files
%defattr(-,root,root)
%license LICENSE
%doc README

%{_bindir}/brotli
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%license LICENSE
%{_includedir}/brotli
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Wed Feb 16 2022 Mladen Turk <mturk@redhat.com> - 1.0.9-2
- Sync with lookaside repo

* Fri Jan 28 2022 Mladen Turk <mturk@redhat.com> - 1.0.9-1
- Upgrade to version 1.0.9 from rhel-9.0.0 branch

* Mon Dec 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-40
Built by CPaaS

* Thu Dec 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-39
Built by CPaaS

* Sat Oct 10 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-38
Built by CPaaS

* Thu Oct 08 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-37
Built by CPaaS

* Wed Oct 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-36
Built by CPaaS

* Tue Oct 06 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-35
Built by CPaaS

* Tue Feb 11 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-12
Built by CPaaS

* Thu Jan 23 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-11
Built by CPaaS

* Tue Jan 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.6-10
Built by CPaaS

* Thu Aug 22 2019 Mladen Turk <mturk@redhat.com> - 1.0.6-7
- Use autotools

* Fri Aug 16 2019 Mladen Turk <mturk@redhat.com> - 1.0.6-6
- Revert .so versions

* Fri Aug 16 2019 Mladen Turk <mturk@redhat.com> - 1.0.6-5
- Fix .so files location

* Fri Aug 16 2019 Mladen Turk <mturk@redhat.com> - 1.0.6-3
- Add versioned shared library target for brotli library

* Tue Aug 13 2019 Mladen Turk <mturk@redhat.com> - 1.0.6-2
- Add shared library target for brotli library

* Wed Oct 10 2018 Tomas Popela <tpopela@redhat.com> - 1.0.6-1
- Update to 1.0.6
- Resolves: rhbz#1637408

* Wed Sep 19 2018 Tomas Orsava <torsava@redhat.com> - 1.0.5-2
- Require the Python interpreter directly instead of using the package name
- Related: rhbz#1619153

* Mon Jul 16 2018 Tomas Popela <tpopela@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Tue Jun 19 2018 Lumír Balhar <lbalhar@redhat.com> - 1.0.1-4
- Python 2 subpackage disabled

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-2
- Switch to %%ldconfig_scriptlets

* Fri Sep 22 2017 Travis Kendrick <pouar@pouar.net> - 1.0.1-1
- update to 1.0.1

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 23 2017 Travis Kendrick <pouar@pouar.net> - 0.6.0-4
- add man pages

* Sun May 14 2017 Travis Kendrick <pouar@pouar.net> - 0.6.0-3
- wrong directory for ctest
- LICENSE not needed in -devel
- fix "spurious-executable-perm"
- rpmbuild does the cleaning for us, so 'rm -rf %%{buildroot}' isn't needed

* Sat May 13 2017 Travis Kendrick <pouar@pouar.net> - 0.6.0-2
- include libraries and development files

* Sat May 06 2017 Travis Kendrick <pouar@pouar.net> - 0.6.0-1
- Initial build
